
program test (input, output);

use cinte; 

var integral,z, pi : interval;
   i,n, nr,j, n2   : integer;
   bi		   : b_interval;


{=======  Definition der Integranden ===================================}

{=======     f2 aus QP        ====================}
       
function fa2(xx : interval; r:real):analyticd; 
var x : analyticd;
begin
   x := construct(xx, r);
   fa2:= z/(sqr(x-(pi/4))+sqr(z));
end; 
        
function fb2(xx : interval):b_interval; 
var x : b_interval;
begin
   x := construct(xx);
   fb2:= z/(sqr(x-(pi/4))+sqr(z));
end; 
   
function f2(x : interval): interval; 
begin
   f2 := z/(sqr(x-(pi/4))+sqr(z));
end;


{=======     f3 aus QP        ====================}
       
function fa3(xx : interval; r:real):analyticd; 
var x : analyticd;
begin
   x := construct(xx, r);
   fa3:= cos(z*sin(x));
end; 
        
function fb3(xx : interval):b_interval; 
var x : b_interval;
begin
   x := construct(xx);
   fb3:= cos(z*sin(x));
end; 
   
function f3(x : interval): interval; 
begin
   f3 :=  cos(z*sin(x));
end;


{=======     f12 aus QP        ====================}
       
function fa12(xx : interval; r:real):analyticd; 
var x : analyticd;
begin
   x := construct(xx, r);
   fa12:= exp(20*(x-1))*sin(z*x);
end; 
        
function fb12(xx : interval):b_interval; 
var x : b_interval;
begin
   x := construct(xx);
   fb12:= exp(20*(x-1))*sin(z*x);
end; 
   
function f12(x : interval): interval; 
begin
   f12 := exp(20*(x-1))*sin(z*x);
end;

{=======     f15 aus QP        ====================}
       
function fa15(xx : interval; r:real):analyticd; 
var x : analyticd;
begin
   x := construct(xx, r);
   fa15:= sqr(x)*exp((-z)*x);
end; 
        
function fb15(xx : interval):b_interval; 
var x : b_interval;
begin
   x := construct(xx);
   fb15:= sqr(x)*exp((-z)*x);
end; 
 
function f15(x : interval): interval; 
begin
   f15 := sqr(x)*exp((-z)*x);
end;


{======== Aufruf der Integration ================}


begin
   cinte_init;
   writeln('function number ?');
   read(nr);
   pi:=4*arctan(intval(1));
   for j:=1 to 1 do
   begin
      z:=1;
      n:=0;
   case nr of
     2 : for i:=0 to 20 do
	 begin
	    integral:= integrate(f2,fb2,fa2, 0.0, 1.0, 1.0e-12, n2);
	    n:=n+n2;
	    writeln(integral, diam(integral));
	    z:=z/4;
	 end;
     3 : for i:=0 to 10 do
	 begin
	    integral:= integrate(f3,fb3,fa3, 0.0, mid(pi), 1.0e-12, n2);
	    n:=n+n2;
	     writeln(integral, diam(integral));
	    z:=2*z;
	 end;
     12 : for i:=0 to 9 do
	 begin
	    integral:= integrate(f12,fb12,fa12, 0.0, 1.0, 1.0e-12, n2);
	    n:=n+n2;
	     writeln(integral, diam(integral));
	    z:=2*z;
	 end;
     15 : for i:=0 to 5 do
	 begin
	    integral:= integrate(f15,fb15,fa15, 0.0, mid(40/z), 1.0e-12, n2);
	    n:=n+n2;
	     writeln(integral, diam(integral));
	    z:=z/2;
	 end;

   end; { case }
      writeln('gesamt: ',n,' Stuetzstellen');
   end;
end. { test }


      





      
